Skip to main content
POST
Estimate the time and GPU-seconds a model run on Tasks would take

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Body

application/json
agentSubject
string
required
Required string length: 1 - 200
classMap
object
required
projectId
string
required
Required string length: 1 - 200
taskIds
string[]
required
Required array length: 1 - 50 elements
Required string length: 1 - 200

Response

Estimate the time and GPU-seconds a model run on Tasks would take

agentSubject
string
required
Required string length: 1 - 200
allowanceGpuSeconds
integer
required
Required range: x >= 0
expectedGpuSeconds
number
required
Required range: x >= 0
imageDigest
string
required
Pattern: ^sha256:[0-9a-f]{64}$
modelFamily
string
required
Required string length: 1 - 200
modelVersion
string
required
Required string length: 1 - 200
notProduced
string[]
required
Maximum array length: 512
Required string length: 1 - 200
perScanReservationSeconds
integer
required
price
null
required
rateVersion
string
required
Required string length: 1 - 200
scans
object[]
required
Required array length: 1 - 50 elements
targets
string[]
required
Required array length: 1 - 16 elements
Required string length: 1 - 200